TIGER versions

Discussion in 'iMac' started by wts, Oct 1, 2015.

  1. wts macrumors member

    wts

    Joined:
    Oct 3, 2009
    #1
    I revived my iMac early 2006, 17 inch ( graphics processor problems with those early 2006 iMacs ).

    According to Micromat's Machine Profiler the minimum OS is 10.4.4 Tiger and the maximum is SnowLeopard 10.6.8.

    I have the install disk for SnowLeopard and the iMac works with SnowLeopard.

    I have the Tiger install DVD but it is only for Power PC.

    Do i have to buy Tiger intel version 10.4.4 ?
     
  2. Samuelsan2001 macrumors 603

    Joined:
    Oct 24, 2013
    #2
    I don't think you can buy them anymore but yes that would be the answer, however why you would want to run on anything older than snow leopard escapes me.
     
  3. Fishrrman macrumors G3

    Joined:
    Feb 20, 2009
    #3
    Unless you have some compelling reason to use 10.4.4, my advice is to stick with Snow Leopard 10.6.8.

    It's one of Apple's best OS releases. I still use it as my "main OS" on my 2010 MacBook Pro...
     
  4. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #4
    10.4 for Intel was never sold at retail, but you do not need it. Use the newest operating system you can on that computer, which is Snow Leopard 10.6.8.
     
  5. redheeler macrumors 603

    redheeler

    Joined:
    Oct 17, 2014
    #5
    You don't need Tiger to install Snow Leopard. Just install that and enjoy the most current OS your Mac is officially capable of.
     

Share This Page